Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Monitoring

    java.lang.Object
      com.amazonaws.services.ec2.model.Monitoring

    public class Monitoring

extends Object

Describes the monitoring status of an Amazon EC2 instance.

Constructor Summary
`Monitoring()`

Method Summary
`String` | `getState()` The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).
`void` | `setState(String state)` The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Monitoring` | `withState(String state)` The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Monitoring

    public Monitoring()

Method Detail

### getState

    public String getState()

  The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

  Returns:
    The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

### setState

    public void setState(String state)

  The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

  Parameters:
    `state` - The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

### withState

    public Monitoring withState(String state)

  The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - The state of monitoring on an Amazon EC2 instance (ex: enabled, disabled).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.